libstdc++: __gnu_cxx::annotate_base Struct Reference

libstdc++

__gnu_cxx::annotate_base Struct Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::annotate_base:
[legend]

## Public Member Functions
void | check (size_t label)
map_alloc_type::iterator | check_allocated (void *p, size_t size)
void | check_constructed (size_t label)
map_construct_type::iterator | check_constructed (void *p)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)

## Static Public Member Functions
static void | check ()
static size_t | get_label ()
static void | set_label (size_t l)

## Friends
std::ostream & | operator<< (std::ostream &os, const annotate_base &__b)

## Detailed Description

Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

Definition at line 96 of file throw_allocator.h.

## Constructor & Destructor Documentation

## ◆ annotate_base()

__gnu_cxx::annotate_base::annotate_base | ( |  | ) |
| inline

Definition at line 109 of file throw_allocator.h.

## Member Function Documentation

## ◆ check() [1/2]

void __gnu_cxx::annotate_base::check | ( |  | ) |
| inlinestatic

Definition at line 238 of file throw_allocator.h.

## ◆ check() [2/2]

void __gnu_cxx::annotate_base::check | ( | size_t | label | ) |
| inline

Definition at line 201 of file throw_allocator.h.

## ◆ check_allocated()

map_alloc_type::iterator __gnu_cxx::annotate_base::check_allocated | ( | void * | p,
|  | size_t | size )
| inline

Definition at line 176 of file throw_allocator.h.

## ◆ check_constructed() [1/2]

void __gnu_cxx::annotate_base::check_constructed | ( | size_t | label | ) |
| inline

Definition at line 288 of file throw_allocator.h.

## ◆ check_constructed() [2/2]

map_construct_type::iterator __gnu_cxx::annotate_base::check_constructed | ( | void * | p | ) |
| inline

Definition at line 273 of file throw_allocator.h.

## ◆ erase()

void __gnu_cxx::annotate_base::erase | ( | void * | p,
|  | size_t | size )
| inline

Definition at line 146 of file throw_allocator.h.

## ◆ erase_construct()

void __gnu_cxx::annotate_base::erase_construct | ( | void * | p | ) |
| inline

Definition at line 170 of file throw_allocator.h.

## ◆ get_label()

size_t __gnu_cxx::annotate_base::get_label | ( |  | ) |
| inlinestatic

Definition at line 120 of file throw_allocator.h.

## ◆ insert()

void __gnu_cxx::annotate_base::insert | ( | void * | p,
|  | size_t | size )
| inline

Definition at line 124 of file throw_allocator.h.

## ◆ insert_construct()

void __gnu_cxx::annotate_base::insert_construct | ( | void * | p | ) |
| inline

Definition at line 151 of file throw_allocator.h.

## ◆ set_label()

void __gnu_cxx::annotate_base::set_label | ( | size_t | l | ) |
| inlinestatic

Definition at line 116 of file throw_allocator.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const annotate_base & | __b )
| friend

Definition at line 388 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h